Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006406 [JEDI VCL] 00 JVCL Components major always 2015-05-15 15:18 2015-09-21 17:47
Reporter mksjgj View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006406: TJvInterpreterProgram can not handle xor correctly
Description the fellowing code will get a exception:
    
  JvInterpreterProgram1.Source := 'begin Result:=1 xor 2; end;';
  JvInterpreterProgram1.Run;

reason:
  the PaTokenizeTag(...) in JvInterpreterParser.pas can NOT recognize the token 'xor'. PaTokenizeTag('xor') will get -1 (P_UNKNOWN).
Additional Information how to resolve:
change AssoIndices and AssoValues, help PaTokenizeTag recognize xor correctly.

   AssoIndices: array [0..31] of Integer = ( //lht: this one has no collisions
        { 0 1 2 3 4 5 6 7 8 9 }
    {00} 50, 80, 25, 13, 92, 71, 87, 61, 91, 99,
    {10} 73, 95, 27, 7, 16, 1, 96, 41, 91, 99,
    {20} 19, 15, 72, 1, 50, 30, 9, 6, 45, 27, //change 71 to 1,
    {30} 79, 61);

AssoValues: array [0..255] of Integer = ( //changeed according to AssoIndices
        { 0 1 2 3 4 5 6 7 8 9 }
    {00} -1, -1, -1, -1, -1, -1, 44, 10, -1, -1,
    {10} 37, -1, -1, -1, -1, 7, -1, -1, -1, -1,
    {20} -1, -1, -1, 27, -1, -1, -1, -1, -1, -1,
    {30} -1, 41, 26, -1, -1, 20, -1, -1, -1, 28,
    {40} -1, 30, 39, -1, -1, -1, -1, 13, -1, -1,
    {50} -1, -1, -1, -1, -1, -1, -1, 1, -1, -1,
    {60} -1, -1, -1, -1, -1, 12, -1, -1, -1, -1,
    {70} -1, -1, 6, -1, -1, -1, -1, -1, -1, -1,
    {80} 34, -1, -1, -1, -1, -1, 3, -1, -1, 49,
    {90} -1, -1, 45, -1, -1, -1, -1, -1, -1, -1,
    {100} 2, -1, 51, -1, -1, -1, -1, 46, -1, -1,
    {110}-1, -1, 17, -1, -1, -1, 36, -1, 11, -1,
    {120}-1, -1, 35, 48, -1, -1, -1, -1, 8, -1,
    {130}-1, 32, -1, 19, -1, -1, -1, 5, -1, -1,
    {140}40, -1, -1, -1, -1, -1, -1, -1, 21, -1,
    {150}22, -1, 31, -1, -1, -1, -1, -1, -1, 16,
    {160}43, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    {170}-1, -1, 18, -1, -1, -1, -1, 47, -1, -1,
    {180}-1, -1, -1, -1, -1, -1, -1, 42, -1, -1,
    {190}-1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    {200}-1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    {210}-1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    {220}29, -1, -1, 25, 4, 15, 24, -1, -1, -1,
    {230}-1, -1, 33, -1, -1, 9, -1, 50, -1, 14,
    {240}-1, -1, -1, 23, -1, -1, 38, -1, -1, -1,
    {250}-1, -1, -1, -1, -1, 0);
Tags No tags attached.
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-05-15 15:18 mksjgj New Issue
2015-09-14 11:24 obones Status new => acknowledged
2015-09-14 14:03 obones Status acknowledged => resolved
2015-09-14 14:03 obones Fixed in Version => Daily / GIT
2015-09-14 14:03 obones Resolution open => fixed
2015-09-14 14:03 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker